<mat-tab-group mat-stretch-tabs class="modal-conversations">
  <mat-tab label="Conversations">
    <span class="empty-message" *ngIf="conversations?.length === 0">Vous n'avez pas de conversations</span>
    <div class="conversation-item item" *ngFor="let conversation of conversations">
      <div class="conversation-name">{{conversation.name}}</div>
      <button class="btn success" (click)="openConversation(conversation)">Ouvrir</button>
    </div>
  </mat-tab>
  <mat-tab label="Créer">
    <form style="padding: 10px">
      <mat-form-field>
        <mat-label>Titre</mat-label>
        <input matInput name="name" [(ngModel)]="newConversation.name">
      </mat-form-field>
    </form>
    <mat-spinner style="margin: auto" diameter="50" *ngIf="!relations"></mat-spinner>
    <div class="o-item-user item" *ngFor="let relation of relations" [ngClass]="{'isSelected':isSelected(getOtherUserInFriend(relation).id)}" (click)="selectUser(getOtherUserInFriend(relation).id)">
      <div class="user-picture profile-picture-circle" style="background-image: url('{{global.apiUrl}}{{getOtherUserInFriend(relation).profilePicture}}')"></div>
      <span class="user-name">{{getOtherUserInFriend(relation)?.firstName}} {{getOtherUserInFriend(relation)?.lastName}}</span>
    </div>
    <button class="btn-create btn success" (click)="createConversation()">Créer</button>
  </mat-tab>
</mat-tab-group>
<button class="btn-close btn error" mat-dialog-close>Fermer</button>


